Skip to main content
GET
/
collections
/
{collection}
/
schema
/
fields
List all collection fields
import requests

url = "https://{FUSION HOST}/api/collections/{collection}/schema/fields"

response = requests.get(url)

print(response.text)
[
  {
    "name": "<string>",
    "type": "<string>",
    "indexed": true,
    "stored": true,
    "multiValued": true,
    "required": true,
    "docValues": true,
    "omitNorms": true,
    "omitPositions": true,
    "omitTermFreqAndPositions": true,
    "termVectors": true,
    "termPositions": true,
    "termOffsets": true,
    "copyDests": [
      "<string>"
    ],
    "copySources": [
      "<string>"
    ],
    "numDocs": 123,
    "default": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

collection
string
required

Collection ID.

Response

200 - application/json

successful operation

name
string
type
string
indexed
boolean
stored
boolean
multiValued
boolean
required
boolean
docValues
boolean
omitNorms
boolean
omitPositions
boolean
omitTermFreqAndPositions
boolean
termVectors
boolean
termPositions
boolean
termOffsets
boolean
copyDests
string[]
copySources
string[]
numDocs
integer<int32>
default
string